VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::Shutdown Interface Reference

`Shutdown` interface provides methods Performs reboot/shutdow operations on appliance. More...

Inherited by vmware::appliance::techpreview::ShutdownStub.

List of all members.

## Public Member Functions
void | Cancel ()
| Cancel pending shutdown action.
void | Cancel (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel pending shutdown action.
global::System.Threading.Tasks.Task | CancelAsync ()
| Cancel pending shutdown action.
global::System.Threading.Tasks.Task | CancelAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel pending shutdown action.
void | Poweroff (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config)
| Power off the appliance.
void | Poweroff (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Power off the appliance.
global::System.Threading.Tasks.Task | PoweroffAsync (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config)
| Power off the appliance.
global::System.Threading.Tasks.Task | PoweroffAsync (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Power off the appliance.
void | Reboot (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config)
| Reboot the appliance.
void | Reboot (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Reboot the appliance.
global::System.Threading.Tasks.Task | RebootAsync (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config)
| Reboot the appliance.
global::System.Threading.Tasks.Task | RebootAsync (vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Reboot the appliance.
vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig | Get ()
| Get details about the pending shutdown action.
vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get details about the pending shutdown action.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig > | GetAsync ()
| Get details about the pending shutdown action.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get details about the pending shutdown action.

## Detailed Description

`Shutdown` interface provides methods Performs reboot/shutdow operations on appliance.

## Member Function Documentation

void vmware::appliance::techpreview::Shutdown::Cancel | ( |  | ) |

Cancel pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::ShutdownStub.

void vmware::appliance::techpreview::Shutdown::Cancel | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Cancel pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::ShutdownStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Shutdown::CancelAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Cancel pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::ShutdownStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Shutdown::CancelAsync | ( |  | ) |

Cancel pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::techpreview::ShutdownStub.

vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig vmware::appliance::techpreview::Shutdown::Get | ( |  | ) |

Get details about the pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Configuration of pending shutdown action.

Implemented in vmware::appliance::techpreview::ShutdownStub.

vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig vmware::appliance::techpreview::Shutdown::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get details about the pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Configuration of pending shutdown action.

Implemented in vmware::appliance::techpreview::ShutdownStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig> vmware::appliance::techpreview::Shutdown::GetAsync | ( |  | ) |

Get details about the pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Configuration of pending shutdown action.

Implemented in vmware::appliance::techpreview::ShutdownStub.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.ShutdownTypes.ShutdownGetConfig> vmware::appliance::techpreview::Shutdown::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get details about the pending shutdown action.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  Configuration of pending shutdown action.

Implemented in vmware::appliance::techpreview::ShutdownStub.

void vmware::appliance::techpreview::Shutdown::Poweroff | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config | ) |

Power off the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of poweroff action

Implemented in vmware::appliance::techpreview::ShutdownStub.

void vmware::appliance::techpreview::Shutdown::Poweroff | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Power off the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of poweroff action
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ShutdownStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Shutdown::PoweroffAsync | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Power off the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of poweroff action
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ShutdownStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Shutdown::PoweroffAsync | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config | ) |

Power off the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of poweroff action

Implemented in vmware::appliance::techpreview::ShutdownStub.

void vmware::appliance::techpreview::Shutdown::Reboot | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Reboot the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of reboot action
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ShutdownStub.

void vmware::appliance::techpreview::Shutdown::Reboot | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config | ) |

Reboot the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of reboot action

Implemented in vmware::appliance::techpreview::ShutdownStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Shutdown::RebootAsync | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Reboot the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of reboot action
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::techpreview::ShutdownStub.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::Shutdown::RebootAsync | ( | vmware.appliance.techpreview.ShutdownTypes.ShutdownConfig | config | ) |

Reboot the appliance.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Configuration of reboot action

Implemented in vmware::appliance::techpreview::ShutdownStub.

The documentation for this interface was generated from the following file:

- Shutdown.cs